create_rectangle#

Modeler3DLayout.create_rectangle(layername, origin, dimensions, corner_radius=0, angle=0, name=None, net_name=None, **kwargs)[source]#

Create a rectangle on a layer.

Parameters:
layernamestr

Name of the layer.

originlist

Origin of the coordinate system in a list of [x, y] coordinates.

dimensionslist

Dimensions for the box in a list of [x, y] coordinates.

corner_radiusfloat, optional
anglefloat, optional

Angle rotation in degrees. The default is 0.

namestr, optional

Name of the rectangle. The default is None, in which case the default name is assigned.

net_namestr, optional

Name of the net. The default is None, in which case the default name is assigned.

Returns:
pyaedt.modeler.cad.object3dlayout.Rect3dLayout

Name of the rectangle created when successful.

References

>>> oEditor.CreateRectangle